Package org.eclipse.emf.cdo.util

## Class LocalCommitConflictException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.emf.cdo.util.CommitException
      - - org.eclipse.emf.cdo.util.ConcurrentAccessException
        - - org.eclipse.emf.cdo.util.CommitConflictException
          - - org.eclipse.emf.cdo.util.LocalCommitConflictException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class LocalCommitConflictException
      extends CommitConflictException

  A `commit conflict exception` that indicates that the transaction has local `conflicts`.

  It's usually possible and adequate to `rollback` the transaction, replay the model modifications and commit the transaction again (optimistic strategy). Pessimistic `locks` can help to avoid the problematic situation (see also `CDOAutoLocker`).

  Instances of this class indicate commit conflicts that are detected locally by analyzing the `passive updates` that result from commits of other transactions. `Conflict resolvers` can help to reduce the risk of local commit conflicts.

  Since:
    4.2
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LocalCommitConflictException​(java.lang.String message)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isLocal()` |

    - ### Methods inherited from class org.eclipse.emf.cdo.util.CommitException

      `wrap`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalCommitConflictException

          public LocalCommitConflictException​(java.lang.String message)

  - ### Method Detail

    - #### isLocal

          public boolean isLocal()

      Overrides:
        `isLocal` in class `CommitException`